.fancy-checkbox { padding-left: 28px; position: relative }
.fancy-checkbox [type="checkbox"] { display: none }
.fancy-checkbox [type="checkbox"] + label { cursor: pointer; display: block; position: relative }
.fancy-checkbox [type="checkbox"] + label::before { content: ''; display: block; position: absolute; top: 0; left: -27px; width: 20px; height: 20px; border: 1px solid rgba(0,0,0,0.3); border-radius: 3px }
.fancy-checkbox [type="checkbox"] + label:hover::before { box-shadow: 0 0 4px rgba(0,0,0,0.1) inset }
.fancy-checkbox [type="checkbox"] + label::after { content: ''; display: none; width: 13px; height: 7px; border-width: 0 0 3px 3px; border-color: rgba(0,0,0,0.8); border-style: solid; position: absolute; top: 5px; left: -23px; -moz-transform: rotate(-45deg); -webkit-transform: rotate(-45deg); -o-transform: rotate(-45deg); -ms-transform: rotate(-45deg); transform: rotate(-45deg); }
.fancy-checkbox [type="checkbox"]:checked + label::after { display: block }
.fancy-checkbox [type="checkbox"]:disabled + label { opacity: 0.5 }
